EXRSTDATTR(1)

NAME
exrstdattr - a utility for modifying OpenEXR standard attributes.

SYNOPSIS
exrstdattr [options] infile outfile

DESCRIPTION
This manual page documents briefly the exrstdattr command. This manual page was written for the Debian distribution because the original program does not have a manual page.

exrstdattr reads an OpenEXR image from infile, sets the values of one or more standard attributes in the image's header, and saves the result in outfile. Note that infile and outfile must not refer to the same file (i.e. the program cannot edit an image file "in place").

OPTIONS
Options for setting attribute values include:

-chromaticities f f f f f f f f
    CIE xy chromaticities for the red, green and blue primaries, and for the white point (8 floats)

-whiteLuminance f
    white luminance, in candelas per square meter (float, >= 0.0)

-xDensity f
    horizontal output density, in pixels per inch (float, >= 0.0)

-owner s
    name of the owner of the image (string)

-comments s
    additional information about the image (string)

-capDate s
    date when the image was created or captured, in local time (string, formatted as YYYY:MM:DD hh:mm:ss)

-utcOffset f
    offset of local time at capDate from UTC, in seconds (float, UTC == local time + x)

-longitude f, -latitude f, -altitude f
    location where the image was recorded, in degrees east of Greenwich and north of the equator, and in meters above sea level (float)

-focus f
    the camera's focus distance, in meters (float, > 0, or "infinity")

-expTime f
    exposure time, in seconds (float, >= 0)

-aperture f
    lens apterture, in f-stops (float, >= 0)

-isoSpeed f
    effective speed of the film or image sensor that was used to record the image (float, >= 0)

-envmap s
    indicates that the image is an environment map (string, LATLONG or CUBE)

-pixelAspectRatio f
    width divided by height of a pixel (float, >= 0)

-screenWindowWidth f
    width of the screen window (float, >= 0)

-screenWindowCenter f f
    center of the screen window (2 floats)

-h  prints these options

AUTHOR
This manual page was written by Andrew Lau <netsnipe@users.sourceforge.net>, for the Debian GNU/Linux system (but may be used by others).